---
title: Submit a status report
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/checkstatus/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/checkstatus.png
---

# Submit a status report

POST

/installs/{install_id}/domains/{domain_id}/check_status

Select code sample

```sh
curl --request POST \
  --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/domains/e41fa98f-ea80-4654-b229-a9b765d0863a/check_status \
  --header 'Authorization: Basic <credentials>'
```

-

Starts a status check for the domain and returns a `report_id`, which you can use to retrieve the report once it’s complete.

## Limitations & Warnings

- Asynchronous: the report isn’t complete when the response is returned.
- Domain status checks are rate-limited to one request every 5 seconds for each install.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**install_id**

required

string format: uuid

ID of install

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

**domain_id**

required

string format: uuid

ID of domain

#### Example

```
e41fa98f-ea80-4654-b229-a9b765d0863a
```

## Responses

### 202

Returns a `DomainReport` object.

Media typeapplication/json

object

**report_id**

required

string format: uuid

#### Example

```json
{
  "report_id": "6a6d5dbd-5cac-41d5-8f3f-14a3e8ae6f76"
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
